aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-11 03:34:51 +0000
committerAvatar Bo ├śrsted Andresen <bo.andresen@zlin.dk> 2008-06-11 03:34:51 +0000
commit5eb45d6236fa42f0a5fee8eea654f5b5b963e501 (patch)
tree78848f63b46c5c84bab3cfee113a944b5e3217d8
parent1adbe93d8d93e336202c1600f24ad9e9ed3787b4 (diff)
downloadpaludis-5eb45d6236fa42f0a5fee8eea654f5b5b963e501.tar.gz
paludis-5eb45d6236fa42f0a5fee8eea654f5b5b963e501.tar.xz
Rename DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS to DEFAULT_SRC_INSTALL_PARAMS and add support for DEFAULT_SRC_COMPILE_PARAMS.
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_compile.bash2
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_install.bash4
2 files changed, 3 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
index 0257ffe..e00df26 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
@@ -23,7 +23,7 @@
default_src_compile()
{
if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
- emake || die "emake failed"
+ emake ${DEFAULT_SRC_COMPILE_PARAMS[@]} || die "emake failed"
fi
}
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_install.bash b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
index 7bfe84c..6237b2f 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_install.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
@@ -24,9 +24,9 @@ default_src_install()
{
local done_docs old_set f d p doc e
if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
- if make -j1 -n ${DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS} install ; then
+ if make -j1 -n ${DEFAULT_SRC_INSTALL_PARAMS[@]} install ; then
echo "Found a makefile, using the install target"
- emake -j1 DESTDIR="${D}" ${DEFAULT_SRC_INSTALL_EMAKE_EXTRA_PARAMS} install || die "default emake install failed";
+ emake -j1 DESTDIR="${D}" ${DEFAULT_SRC_INSTALL_PARAMS[@]} install || die "default emake install failed";
else
die "default emake install located a makefile but no install target"
fi